Subject: Re: [Sipping] About "rollback of re-Invite"

From: Sumit Garg <[email-masked]>
Date: Wed, 18 Feb 2009 06:29:03 -0800 (PST)

Actually, 3311 does recommend not using UPDATEs in confirmed state (below).
Session timers don't use update as a target-refresh...the BCP even now could be not to use UPDATEs outside of reINVITEs

5 UPDATE Handling

5.1 Sending an UPDATE

   The UPDATE request is constructed as would any other request within
   an existing dialog, as described in Section 12.2.1 of RFC 3261.  It
   MAY be sent for both early and confirmed dialogs, and MAY be sent by
   either caller or callee.  Although UPDATE can be used on confirmed
   dialogs, it is RECOMMENDED that a re-INVITE be used instead.  This is
   because an UPDATE needs to be answered immediately, ruling out the
   possibility of user approval.  Such approval will frequently be
   needed, and is possible with a re-INVITE.

________
________________________________
From: [email-masked] [mailto:[email-masked]] On Behalf Of Elwell, John
Sent: Wednesday, February 18, 2009 5:50 AM
To: Christer Holmberg; [email-masked]
Cc: [email-masked]
Subject: Re: [Sipping] About "rollback of re-Invite"

Exactly, I would be concerned about changing RFC 3311.
 
John

________________________________________
From: Christer Holmberg [mailto:[email-masked]] 
Sent: 18 February 2009 10:14
To: Elwell, John; [email-masked]
Cc: [email-masked]
Subject: RE: RE: [Sipping] About "rollback of re-Invite"
Hi,
 
I don't think we can completely forbid UPDATE outside re-INVITEs. It's just too late for that.
 
Regards,
 
Christer

Forever,
Sumit
"The reasonable man adapts himself to the world; the unreasonable one persists in trying to adapt the world to himself. Therefore all progress depends on the unreasonable man."
-- George Bernard Shaw

---

From: "Christer Holmberg" <[email-masked]>
Date: Wed, 18 Feb 2009 15:36:41 +0100

Hi,

Well, if we say that UPDATEs cannot be used in confirmed dialogs you
wouldn't be able to use them within re-INVITEs either, would you? :)

But, a recommendation of course doesn't prevent exceptions.

Also, AFAIK at least in OMA UPDATEs are sometimes used because they DO
want an answer immediately.

Regards,

Christer 

> -----Original Message-----
> From: [email-masked] 
> [mailto:[email-masked]] On Behalf Of Sumit Garg
> Sent: 18. helmikuuta 2009 16:29
> To: [email-masked]
> Session timers don't use update as a target-refresh...the BCP 
> even now could be not to use UPDATEs outside of reINVITEs
> 
> 
> 
> 5 UPDATE Handling
> 
> 5.1 Sending an UPDATE
> 
> From: [email-masked] 
> [mailto:[email-masked]] On Behalf Of Elwell, John
> "The reasonable man adapts himself to the world; the 
> unreasonable one persists in trying to adapt the world to 
> himself. Therefore all progress depends on the unreasonable man."
> -- George Bernard Shaw
> 
> 
>       
> _______________________________________________
> Sipping mailing list  https://www.ietf.org/mailman/listinfo/sipping
> This list is for NEW development of the application of SIP 
> Use [email-masked] for questions on current 
> sip Use [email-masked] for new developments of core SIP
>